﻿using System.Data.Odbc;
using NHibernate.Dialect;
using NHibernate.Linq;

namespace NHibernate.Test.NHSpecificTest.NH_2886
{
   public class ReproTest : BugTestCase
   {
      protected override bool AppliesTo(Dialect.Dialect dialect)
      {
         return dialect.GetType() == typeof(InformixDialect1000);
      }

      [NUnit.Framework.Test]
      public void TestInformixFailing()
      {
         Library library = new Library();
         library.Name = "Name";
         Book book = new Book();
         library.Books.Add(book);

         using (var session = OpenSession())
         {
            session.Save(library);
            session.Flush();
         }

         using (var session = OpenSession())
         {
            var r = session.Get(typeof(Library), library.Id);
            session.Clear();
         }
      }
   }
}